---
title: 'str:split()'
slug: Web/EXSLT/str/split
tags:
  - EXSLT
  - NeedsSpecTable
  - Reference
---
<p>{{XSLTRef}}{{QuickLinksWithSubpages("/en-US/docs/Web/EXSLT")}}</p>

<p><code>str:split()</code> splits a string using a pattern string to determine where the splits should occur, returning a node-set containing the resulting strings.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">str:split(<var>string</var>, <var>pattern</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt><code>string</code></dt>
	<dd>The string to split.</dd>
	<dt><code>pattern</code></dt>
	<dd>The pattern indicating where to split the string.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A node-set of <code>token</code> elements, each containing one token from the <code>string</code>.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js; no-line-numbers">str:split('book, phone, computer, chair', ', ')</pre>

<p>Returns a node set like:</p>

<pre class="brush: xml; no-line-numbers">&lt;token&gt;book&lt;/token&gt;
&lt;token&gt;phone&lt;/token&gt;
&lt;token&gt;computer&lt;/token&gt;
&lt;token&gt;chair&lt;/token&gt;</pre>

<h2 id="Specifications">Specifications</h2>

<p><a class="external" href="http://www.exslt.org/str/functions/split/index.html">EXSLT - STR:SPLIT</a></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("xslt.exslt.str.split")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><code><a href="/en-US/docs/Web/EXSLT/str/tokenize">str:tokenize()</a></code></li>
</ul>
